$(function () {   
    console.log('common.js');
    var arr_url = window.location.pathname.split("/");

    $("#kt_aside_menu_wrapper .menu-item").each(function (idx, itm) { 
        var arr_page = ['overview', 'requisition', 'do', 'po', 'stock-transfer', 'inventory', 'ro', 'material', 'users'];
        var cur_page = arr_url[4];

        if ($.inArray(cur_page, arr_page) !== -1) {
            var cur_id  = $(this).data('id');
            var page_id = arr_url[5];

            // console.log(idx + ' : [cur_page: ' + cur_page + '] [page_id: ' + page_id + '] [cur_id: ' + cur_id+']');
            if (cur_page == "material" && arr_url[5] != "") {
                switch (arr_url[5]) {
                    case 'trade'    : cur_page = "material-trade";
                        break;
                    case 'item'     : cur_page = "material-item";
                        break;
                    case 'category' : cur_page = "material-category";
                        break;
                }                
            }

            if ($(this).hasClass(cur_page)) {
                if (page_id == cur_id || page_id == "create" || page_id == "trade" || page_id == "item" || page_id == "category") {
                    // console.log('hello! [cur_page:'+cur_page+'] [page_id: '+page_id+'] this:', $(this).parents('li.menu-item.menu-item-submenu'));
                    $('#kt_aside_menu ul.menu-nav li.menu-item').removeClass('menu-item-active');
                    $(this).addClass('menu-item-active');                    
                    $(this).parents('li.menu-item.menu-item-submenu').addClass('menu-item-open');
                                                       
                } 
            }
        }

        // if (arr_url[2] == "overview" && $(this).hasClass('overview')) {  
        //     var cur_id = $(this).data('id');
        //     if (arr_url[3] == cur_id) {                
        //         $('#kt_aside_menu ul.menu-nav li.menu-item').removeClass('menu-item-active');                          
        //         $(this).addClass('menu-item-active');
        //         $(this).parents('li.menu-item.menu-item-submenu').addClass('menu-item-open');
                
        //     }
        // } else if (arr_url[2] == "requisition" && $(this).hasClass('requisition')) {                       
        //     var cur_id = $(this).data('id');
        //     if (arr_url[3] == cur_id) {
        //         $('#kt_aside_menu ul.menu-nav li.menu-item').removeClass('menu-item-active');
        //         $(this).addClass('menu-item-active');
               
        //         $(this).parents('li.menu-item.menu-item-submenu').addClass('menu-item-open');
                
        //     }
        // } else if (arr_url[2] == "po" && $(this).hasClass('po')) {                
        //     var cur_id = $(this).data('id');
        //     if (arr_url[3] == cur_id) {
        //         $('#kt_aside_menu ul.menu-nav li.menu-item').removeClass('menu-item-active');
        //         $(this).addClass('menu-item-active');               
        //         $(this).parents('li.menu-item.menu-item-submenu').addClass('menu-item-open');
        //         // $(this).parents('li.menu-item.menu-item-open').first().addClass('menu-item-open');
        //     }
        // }

        
    });
    

    $(document).on("click", "ul.menu-nav > li.menu-item", function (e) {
        $('ul.menu-nav li.menu-item').removeClass('menu-item-active');                   
        $(this).addClass('menu-item-active'); 
    });

    $(document).on("click", "ul.menu-subnav li.menu-item", function (e) {          
        $(this).addClass('menu-item-active');   
    });

    // $(document).on("click", ".delete_img .fa-times", function() {
    //     console.log('[.delete_img] Clicked');       
    // });

    function printErrorMsg (msg) {
        $(".print-error-msg").find("ul").html('');
        $(".print-error-msg").css('display','block');
        $.each( msg, function( key, value ) {
            $(".print-error-msg").find("ul").append('<li>'+value+'</li>');
        });
    }
    
}); 